Index: xulrunner/installer/Makefile.in
===================================================================
RCS file: /cvsroot/mozilla/xulrunner/installer/Makefile.in,v
retrieving revision 1.15
diff -u -p -6 -r1.15 Makefile.in
--- xulrunner/installer/Makefile.in	10 Apr 2008 14:50:48 -0000	1.15
+++ xulrunner/installer/Makefile.in	6 Jun 2008 09:58:59 -0000
@@ -64,12 +64,15 @@ endif
 include $(topsrcdir)/config/rules.mk
 
 INSTALL_SDK = 1
 
 include $(topsrcdir)/toolkit/mozapps/installer/packager.mk
 
+# the apilibdir always ends with 1.9 as every patch update will provide a link
+apilibdir = $(dir $(installdir))xulrunner-1.9
+
 $(MOZILLA_VERSION).system.conf: $(topsrcdir)/config/milestone.txt Makefile
 	printf "[%s]\nGRE_PATH=%s\nxulrunner=true\nabi=%s" \
 	  $(MOZILLA_VERSION) $(installdir) $(TARGET_XPCOM_ABI)> $@
 
 ifndef SKIP_GRE_REGISTRATION
 # to register xulrunner per-user, override this with $HOME/.gre.d
@@ -113,12 +116,13 @@ endif
 %.pc: $(srcdir)/%.pc.in Makefile.in Makefile $(DEPTH)/config/autoconf.mk
 	cat $< | sed \
 	-e "s|%prefix%|$(prefix)|" \
 	-e "s|%includedir%|$(includedir)|" \
 	-e "s|%idldir%|$(idldir)|" \
 	-e "s|%sdkdir%|$(sdkdir)|" \
+	-e "s|%libdir%|$(apilibdir)|" \
 	-e "s|%MOZ_APP_NAME%|$(MOZ_APP_NAME)|" \
 	-e "s|%MOZILLA_VERSION%|$(MOZ_APP_VERSION)|" \
 	-e "s|%FULL_NSPR_LIBS%|$(FULL_NSPR_LIBS)|" \
 	-e "s|%FULL_NSPR_CFLAGS%|$(FULL_NSPR_CFLAGS)|" \
 	-e "s|%NSPR_NAME%|$(NSPR_NAME)|" \
 	-e "s|%NSPR_VERSION%|$(NSPR_VERSION)|" > $@
Index: xulrunner/installer/libxul-embedding-unstable.pc.in
===================================================================
RCS file: /cvsroot/mozilla/xulrunner/installer/libxul-embedding-unstable.pc.in,v
retrieving revision 1.1
diff -u -p -6 -r1.1 libxul-embedding-unstable.pc.in
--- xulrunner/installer/libxul-embedding-unstable.pc.in	5 Jan 2008 06:50:34 -0000	1.1
+++ xulrunner/installer/libxul-embedding-unstable.pc.in	6 Jun 2008 09:58:59 -0000
@@ -1,10 +1,10 @@
 prefix=%prefix%
 sdkdir=%sdkdir%
 includedir=%includedir%
-idldir=%idldir%
+idldir=%idldir%/unstable
 includetype=unstable
 
 Name: libxul-embedding-unstable
 Description: Static library for version-independent embedding of the Mozilla runtime (unstable API)
 Version: %MOZILLA_VERSION%
 Libs: -L${sdkdir}/lib -lxpcomglue
Index: xulrunner/installer/libxul-embedding.pc.in
===================================================================
RCS file: /cvsroot/mozilla/xulrunner/installer/libxul-embedding.pc.in,v
retrieving revision 1.1
diff -u -p -6 -r1.1 libxul-embedding.pc.in
--- xulrunner/installer/libxul-embedding.pc.in	3 Aug 2007 14:46:28 -0000	1.1
+++ xulrunner/installer/libxul-embedding.pc.in	6 Jun 2008 09:58:59 -0000
@@ -1,15 +1,15 @@
 prefix=%prefix%
 sdkdir=%sdkdir%
 includedir=%includedir%
-idldir=%idldir%
+idldir=%idldir%/stable
 includetype=stable
 
 # Note: the default pkg-config cflags will only list include directories
 # that contain stable (frozen or safe for linking) header files. To include
 # nonfrozen headers, run pkg-config with --define-variable=includetype=unstable
 
 Name: libxul-embedding
 Description: Static library for version-independent embedding of the Mozilla runtime
 Version: %MOZILLA_VERSION%
-Libs: -L${sdkdir}/lib -lxpcomglue
+Libs: -L${sdkdir}/sdk/lib -lxpcomglue
 Cflags: -DXPCOM_GLUE -I${includedir}/${includetype} -fshort-wchar
Index: xulrunner/installer/libxul-unstable.pc.in
===================================================================
RCS file: /cvsroot/mozilla/xulrunner/installer/libxul-unstable.pc.in,v
retrieving revision 1.1
diff -u -p -6 -r1.1 libxul-unstable.pc.in
--- xulrunner/installer/libxul-unstable.pc.in	5 Jan 2008 06:50:34 -0000	1.1
+++ xulrunner/installer/libxul-unstable.pc.in	6 Jun 2008 09:58:59 -0000
@@ -1,10 +1,11 @@
 prefix=%prefix%
 sdkdir=%sdkdir%
+libdir=%libdir%
 includedir=%includedir%
-idldir=%idldir%
+idldir=%idldir%/unstable
 includetype=unstable
 
 Name: libxul
 Description: The Mozilla Runtime and Embedding Engine (unstable API)
 Version: %MOZILLA_VERSION%
 Requires: %NSPR_NAME% >= %NSPR_VERSION%
Index: xulrunner/installer/libxul.pc.in
===================================================================
RCS file: /cvsroot/mozilla/xulrunner/installer/libxul.pc.in,v
retrieving revision 1.1
diff -u -p -6 -r1.1 libxul.pc.in
--- xulrunner/installer/libxul.pc.in	3 Aug 2007 14:46:28 -0000	1.1
+++ xulrunner/installer/libxul.pc.in	6 Jun 2008 09:58:59 -0000
@@ -1,10 +1,11 @@
 prefix=%prefix%
 sdkdir=%sdkdir%
+libdir=%libdir%
 includedir=%includedir%
-idldir=%idldir%
+idldir=%idldir%/stable
 includetype=stable
 
 # Note: the default pkg-config includes will only list include directories
 # that contain stable (frozen or safe for linking) header files. To include
 # nonfrozen headers, run pkg-config with --define-variable=includetype=unstable
 
Index: xulrunner/installer/mozilla-gtkmozembed-embedding.pc.in
===================================================================
RCS file: /cvsroot/mozilla/xulrunner/installer/mozilla-gtkmozembed-embedding.pc.in,v
retrieving revision 1.1
diff -u -p -6 -r1.1 mozilla-gtkmozembed-embedding.pc.in
--- xulrunner/installer/mozilla-gtkmozembed-embedding.pc.in	10 Jan 2008 09:17:49 -0000	1.1
+++ xulrunner/installer/mozilla-gtkmozembed-embedding.pc.in	6 Jun 2008 09:58:59 -0000
@@ -1,8 +1,9 @@
 prefix=%prefix%
 sdkdir=%sdkdir%
+libdir=%libdir%
 includedir=%includedir%
 
 Name: mozilla-gtkembedmoz
 Description: Static version-independent Mozilla Embedding Widget for Gtk+
 Version: %MOZILLA_VERSION%
 Requires: libxul-embedding-unstable = %MOZILLA_VERSION%
Index: xulrunner/installer/mozilla-gtkmozembed.pc.in
===================================================================
RCS file: /cvsroot/mozilla/xulrunner/installer/mozilla-gtkmozembed.pc.in,v
retrieving revision 1.1
diff -u -p -6 -r1.1 mozilla-gtkmozembed.pc.in
--- xulrunner/installer/mozilla-gtkmozembed.pc.in	10 Jan 2008 09:17:49 -0000	1.1
+++ xulrunner/installer/mozilla-gtkmozembed.pc.in	6 Jun 2008 09:58:59 -0000
@@ -1,8 +1,9 @@
 prefix=%prefix%
 sdkdir=%sdkdir%
+libdir=%libdir%
 includedir=%includedir%
 
 Name: mozilla-gtkembedmoz
 Description: Mozilla Embedding Widget for Gtk+
 Version: %MOZILLA_VERSION%
 Requires: libxul-unstable = %MOZILLA_VERSION%
Index: xulrunner/installer/mozilla-js.pc.in
===================================================================
RCS file: /cvsroot/mozilla/xulrunner/installer/mozilla-js.pc.in,v
retrieving revision 1.1
diff -u -p -6 -r1.1 mozilla-js.pc.in
--- xulrunner/installer/mozilla-js.pc.in	3 Aug 2007 14:46:28 -0000	1.1
+++ xulrunner/installer/mozilla-js.pc.in	6 Jun 2008 09:58:59 -0000
@@ -1,10 +1,11 @@
 prefix=%prefix%
 sdkdir=%sdkdir%
+libdir=%libdir%
 includedir=%includedir%
 
 Name: JavaScript
 Description: The Mozilla JavaScript Library
 Version: %MOZILLA_VERSION%
 Requires: %NSPR_NAME% >= %NSPR_VERSION%
 Libs: -L${sdkdir}/lib -lmozjs
-Cflags: -I${includedir}/stable -DXP_UNIX -DJS_THREADSAFE
+Cflags: -I${includedir}/unstable -DXP_UNIX -DJS_THREADSAFE
